# Generated from anchor_ui-sprockets-5.2.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name anchor_ui-sprockets

Name: rubygem-%{gem_name}
Version: 5.2.0.1
Release: 1%{?dist}
Summary: UI Kit for internal apps
License: MIT
URL: https://github.com/anchoradmin/anchor_ui.git
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(puma) >= 3.12.0
# BuildRequires: rubygem(puma) < 3.13
# BuildRequires: rubygem(capybara) >= 3.14.0
# BuildRequires: rubygem(capybara) < 3.15
# BuildRequires: rubygem(selenium-webdriver) >= 3.141.0
# BuildRequires: rubygem(selenium-webdriver) < 3.142
BuildArch: noarch

%description
UI Kit based on open source projects to allow rapid prototypes of internal
apps.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/app
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Sun Sep 12 2021 mockbuilder - 5.2.0.1-1
- Initial package
